summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRyota MIBU <r-mibu@cq.jp.nec.com>2016-01-06 03:13:09 +0900
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-01-07 08:49:50 +0000
commitdb5f74c3c9ae7ccc926c2f70bf8884ae23583d46 (patch)
treefa738d6c98be2a1d3ebf19b2592d74e3bd584d12
parent6b421a92a85573f9a6a427c2f9237fe7a648ef99 (diff)
fix build directory for OPNFV docs
Apex has own 'build' directory which is not for docs and contains valid files. This patch fix build dir name from 'build' to 'docs_build' to avoid the conflict. 'output' dir name is also changed to 'docs_output'. Change-Id: I0eb047bfb9c8b85016ce82844915e60538e4d2a8 Signed-off-by: Ryota MIBU <r-mibu@cq.jp.nec.com>
-rw-r--r--.gitignore4
-rw-r--r--docs/how-to-use-docs/documentation-example.rst4
-rw-r--r--jjb/releng-macros.yaml4
-rwxr-xr-xutils/docs-build.sh34
4 files changed, 24 insertions, 22 deletions
diff --git a/.gitignore b/.gitignore
index 2884629e6..33a0451bb 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,5 +1,5 @@
*~
.*.sw?
-/build/
-/output/
+/docs_build/
+/docs_output/
/releng/
diff --git a/docs/how-to-use-docs/documentation-example.rst b/docs/how-to-use-docs/documentation-example.rst
index f9b8da2f1..bab2ee157 100644
--- a/docs/how-to-use-docs/documentation-example.rst
+++ b/docs/how-to-use-docs/documentation-example.rst
@@ -134,8 +134,8 @@ built files.
.. code-block:: bash
- /build/
- /output/
+ /docs_build/
+ /docs_output/
/releng/
Jenkins Jobs
diff --git a/jjb/releng-macros.yaml b/jjb/releng-macros.yaml
index 9d6a54260..0b16abb12 100644
--- a/jjb/releng-macros.yaml
+++ b/jjb/releng-macros.yaml
@@ -173,7 +173,7 @@
export PATH=$PATH:/usr/local/bin/
[[ $GERRIT_CHANGE_NUMBER =~ .+ ]]
- [[ -d output ]]
+ [[ -d docs_output ]] || exit 0
echo
echo "###########################"
@@ -208,7 +208,7 @@
set -o pipefail
export PATH=$PATH:/usr/local/bin/
- [[ -d output ]]
+ [[ -d docs_output ]] || exit 0
echo
echo "########################"
diff --git a/utils/docs-build.sh b/utils/docs-build.sh
index af31d7a39..e5e602584 100755
--- a/utils/docs-build.sh
+++ b/utils/docs-build.sh
@@ -3,10 +3,11 @@
export PATH=$PATH:/usr/local/bin/
-SRC_DIR=${SRC_DIR:-docs}
+DOCS_DIR=${DOCS_DIR:-docs}
INDEX_RST=${INDEX_RST:-index.rst}
-BUILD_DIR=${BUILD_DIR:-build}
-OUTPUT_DIR=${OUTPUT_DIR:-output}
+BUILD_DIR=${BUILD_DIR:-docs_build}
+OUTPUT_DIR=${OUTPUT_DIR:-docs_output}
+SRC_DIR=${SRC_DIR:-$BUILD_DIR/_src}
RELENG_DIR=${RELENG_DIR:-releng}
GERRIT_COMMENT=${GERRIT_COMMENT:-}
@@ -76,10 +77,11 @@ function add_html_notes() {
}
function prepare_src_files() {
- mkdir -p "$BUILD_DIR"
- [[ -e "$BUILD_DIR/src" ]] && rm -rf "$BUILD_DIR/src"
- cp -r "$SRC_DIR" "$BUILD_DIR/src"
- add_html_notes "$BUILD_DIR/src"
+ mkdir -p "$(dirname $SRC_DIR)"
+
+ [[ -e "$SRC_DIR" ]] && rm -rf "$SRC_DIR"
+ cp -r "$DOCS_DIR" "$SRC_DIR"
+ add_html_notes "$SRC_DIR"
}
function add_config() {
@@ -94,19 +96,19 @@ function add_config() {
}
function is_top_dir() {
- [[ "$1" == "$SRC_DIR" ]]
+ [[ "$1" == "$DOCS_DIR" ]]
}
function generate_name_for_top_dir() {
for suffix in '' '.top' '.all' '.master' '_' '__' '___'
do
- _name="$(basename $SRC_DIR)$suffix"
- [[ -e "$SRC_DIR/$_name" ]] && continue
+ _name="$(basename $DOCS_DIR)$suffix"
+ [[ -e "$DOCS_DIR/$_name" ]] && continue
echo "$_name"
return
done
- echo "Error: cannot find name for top directory [$SRC_DIR]"
+ echo "Error: cannot find name for top directory [$DOCS_DIR]"
exit 1
}
@@ -114,16 +116,16 @@ function generate_name() {
_dir=$1
if is_top_dir "$_dir" ; then
- _name=$(generate_name_for_top_dir $SRC_DIR)
+ _name=$(generate_name_for_top_dir $DOCS_DIR)
else
- _name="${_dir#$SRC_DIR/}"
+ _name="${_dir#$DOCS_DIR/}"
fi
# Replace '/' by '_'
echo "${_name////_}"
}
-check_rst_doc $SRC_DIR
+check_rst_doc $DOCS_DIR
if [[ ! -d "$RELENG_DIR" ]] ; then
echo "Error: $RELENG_DIR dir not found. See https://wiki.opnfv.org/documentation/tools ."
@@ -132,10 +134,10 @@ fi
prepare_src_files
-find $SRC_DIR -name $INDEX_RST -printf '%h\n' | while read dir
+find $DOCS_DIR -name $INDEX_RST -printf '%h\n' | while read dir
do
name=$(generate_name $dir)
- src="$BUILD_DIR/src${dir#$SRC_DIR}"
+ src="$SRC_DIR/${dir#$DOCS_DIR/}"
build="$BUILD_DIR/$name"
output="$OUTPUT_DIR/$name"
conf="$src/conf.py"